/**
 * 更新计时器显示时间。
 * Update the timer display time.
 *
 * param   int     elapsedTime
 * @access public
 * @return void
 */
function updateTimer(elapsedTime) {
  const formattedTime = formatTime(elapsedTime);
  $('#timer').text(formattedTime);
}

/**
 * 格式化时间
 * format time.
 *
 * @param  int    timeInSeconds
 * @access public
 * @return void
 */
function formatTime(timeInSeconds) {
  if (timeInSeconds < 60) {
    return '<1' + minute;
  } else if (timeInSeconds < 3600) {
    var minutes = Math.floor(timeInSeconds / 60);
    return minutes + minute;
  } else {
    var hours = Math.floor(timeInSeconds / 3600);
    var minutes = Math.floor((timeInSeconds % 3600) / 60);
    return hours + hour + minutes + minute;
  }
}
